#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>

#define equal(x,y) (!strcmp(x,y))

void Help()
{
	printf("stat <pn> - Returns the date and time for the specified file/dir\n");
	exit(1);
}

int main (int argc, char *argv[])
{
	struct stat buf;
	struct tm *pTm;

	if (argc != 2 || equal(argv[1], "-h") || equal(argv[1], "-help"))
	{
		Help();
	}

	/*	get file status	*/
	if (stat(argv[1], &buf)) 	
	{
		fprintf(stderr,"Error checking modification time on %s.", argv[1]);
		return(-1);
	}
	
	pTm = gmtime(&(buf.st_mtime));

	printf("%04d-%02d-%02d %02d:%02d:%02d\n",
		  pTm->tm_year+1900
		, pTm->tm_mon+1
		, pTm->tm_mday
		, pTm->tm_hour
		, pTm->tm_min
		, pTm->tm_sec
		);
}
